# SSH

{% hint style="info" %}
特権セッションやセッション記録などの高度な機能を、ゼロトラストのクラウド接続で利用する場合は、[KeeperPAM](/keeperpam/jp/readme.md)の利用が適しています。

コマンダーで説明しているSSH機能は、クラウドを介さず、対象サーバーへ直接接続するSSH方式です。
{% endhint %}

## SSH

Keeperコマンダーでは、Keeperボルトのレコードに保存されたコンテンツとメタデータを利用してSSH接続を確立できます。SSH接続の詳細情報を格納するレコードをこのコマンドに渡すことでSSH接続を確立します。

### sshコマンド

**コマンド:** `ssh`

**詳細:** SSHを使用して外部サーバーへの接続を確立します。

**パラメータ:**

レコードUID、レコードへのパス、ホスト名のいずれか

{% hint style="info" %}
SSHコマンドは、「SSH Key」および「Server」タイプのレコードと互換性があります。
{% endhint %}

以下の形式のSSHエンドポイントはオプション。

`LOGIN@HOST`\[:PORT]

`ssh`コマンドにレコードが指定されていない場合は、ボルト内の互換性のあるすべてのレコードが一覧表示されます。

### 例

UID、タイトル、ホスト名を使用して接続を確立

```
ssh qTUzddtffRvsS1L8_ytO1A
ssh "SSH Connection"
ssh 10.0.160.7
```

互換レコードを参照

{% code overflow="wrap" %}

```
My Vault> ssh
  #  Record UID              Type               Title                     Description
---  ----------------------  -----------------  ------------------------  -----------------------------------
  1  xwwCv4We6JqYaw3qMdykYw  serverCredentials  Connection                My_Login @ 10.0.160.7:3389
  2  qTUzddtffRvsS1L8_ytO1A  sshKeys            SSH Connection            My_Connection_Login @ 10.0.160.7:22
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.keeper.io/keeperpam/jp/commander-cli/command-reference/connection-commands/ssh.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
